package com.ym.mec.biz.service;

import java.util.List;

import com.ym.mec.biz.dal.entity.SysUserBankCard;
import com.ym.mec.common.service.BaseService;

public interface SysUserBankCardService extends BaseService<Long, SysUserBankCard> {

    /**
     * 新增银行卡
     * @param sysUserBankCard
     * @return
     */
    SysUserBankCard add(SysUserBankCard sysUserBankCard);

    /**
     * 获取学员银行卡列表
     * @param id
     * @return
     */
    List<SysUserBankCard> findByUser(Integer id);

    /**
     * 删除银行卡
     * @param id
     * @param userId
     */
    void del(Long id, Integer userId);
}